Loading...
Searching...
No Matches
pcl::cuda::CheckPlanarInlierNormalIndices Struct Reference

Check if a certain tuple is a point inlier. More...

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h>`

## Public Member Functions

| CheckPlanarInlierNormalIndices (float4 coeff, float thresh, float angle_thresh)
template<typename Tuple>
__inline__ __host__ __device__ int | operator() (const Tuple &pt, const int &idx)

## Public Attributes

float4 | coefficients
float | threshold
float | angle_threshold

## Detailed Description

Check if a certain tuple is a point inlier.

Definition at line 138 of file sac_model_1point_plane.h.

## Constructor & Destructor Documentation

## CheckPlanarInlierNormalIndices()

pcl::cuda::CheckPlanarInlierNormalIndices::CheckPlanarInlierNormalIndices | ( | float4 | coeff,
|  | float | thresh,
|  | float | angle_thresh )

inline

Definition at line 144 of file sac_model_1point_plane.h.

References angle_threshold, coefficients, and threshold.

## Member Function Documentation

## operator()()

template<typename Tuple>

__inline__ __host__ __device__ int pcl::cuda::CheckPlanarInlierNormalIndices::operator() | ( | const Tuple & | pt,
|  | const int & | idx )

## Member Data Documentation

## angle_threshold

float pcl::cuda::CheckPlanarInlierNormalIndices::angle_threshold

Definition at line 142 of file sac_model_1point_plane.h.

Referenced by CheckPlanarInlierNormalIndices().

## coefficients

float4 pcl::cuda::CheckPlanarInlierNormalIndices::coefficients

Definition at line 140 of file sac_model_1point_plane.h.

Referenced by CheckPlanarInlierNormalIndices().

## threshold

float pcl::cuda::CheckPlanarInlierNormalIndices::threshold

Definition at line 141 of file sac_model_1point_plane.h.

Referenced by CheckPlanarInlierNormalIndices().

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h